petsc-3.7.7 2017-09-25
Report Typos and Errors

# DMRestrict

restricts user-defined problem data to a coarser DM by running hooks registered by DMCoarsenHookAdd()

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    PetscErrorCode DMRestrict(DM fine,Mat restrct,Vec rscale,Mat inject,DM coarse)

Collective if any hooks are

### Input Arguments

| fine | - finer DM to use as a base
| restrct | - restriction matrix, apply using MatRestrict()
| inject | - injection matrix, also use MatRestrict()
| coarse | - coarer DM to update

### See Also

DMCoarsenHookAdd(), MatRestrict()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages